/*
 * glv.h
 *
 *  Created on: Jul 14, 2009
 *      Author: bh
 */

#ifndef GLV_H_
#define GLV_H_

#include "ui_glv.h"
#include "VideoFile.h"

/**
    @author Bruno Herbelin <bruno.herbelin@gmail.com>
*/
class  Glv: public QMainWindow, private Ui::Glv
{
        Q_OBJECT

    public:
        Glv ( QWidget *parent = 0 );
        ~Glv();

    private slots:
        void on_actionOpen_activated();
        void on_actionFormats_and_Codecs_activated();
        void on_actionOpenGL_extensions_activated();
        void on_markInSlider_sliderReleased ();
        void on_markOutSlider_sliderReleased ();
        void on_frameSlider_sliderPressed ();
        void on_frameSlider_sliderReleased ();
        void on_frameSlider_sliderMoved (int);
        void on_frameSlider_actionTriggered (int);
        void on_actionShow_frames_toggled(bool);

        void updateRefreshTimerState();
        void updateMarks();
        void pauseAfterFrame();
        void refreshTiming();

        void displayLogMessage(QString msg);
        void displayErrorMessage(QString msg);

    private:

        VideoFile *is;
        QTimer *refreshTimingTimer;
        bool waspaused;
        bool skipNextRefresh;
};

#endif /* GLV_H_ */
