/*
 * videoFileDialog.h
 *
 *  Created on: Aug 3, 2009
 *      Author: bh
 */

#ifndef VIDEOFILEDIALOG_H_
#define VIDEOFILEDIALOG_H_

#include <QFileDialog>
#include <QCheckBox>

#include "videoFileDialogPreview.h"

class videoFileDialog: public QFileDialog
{
    Q_OBJECT

public:
    videoFileDialog( QWidget * parent = 0, const QString & caption = QString(), const QString & directory = QString(), const QString & filter = QString() );
    ~videoFileDialog();

    bool customSizeChecked();

    static bool configPreviewVisible() {
        return _configPreviewVisible;
    }
    static void configSetPreviewVisible(bool visible) {
        _configPreviewVisible = visible;
    }

public slots:
    void setPreviewVisible(bool visible);
    void rememberFilter(const QString &);

signals:
    /**
     * Signal emmited when an error occurs;
     * The VideoFile should gently stop, but may stay in a non-usable state; better stop it, or delete it.
     *
     * @param msg Error message
     */
    void error(QString msg);


private:

    videoFileDialogPreview *preview;
    QCheckBox *pv;

    static bool _configPreviewVisible;
    static QString _filterSelected;

};

#endif /* VIDEOFILEDIALOG_H_ */
