/****************************************************************************
**

**
****************************************************************************/

#ifndef GLWIDGET_H_
#define GLWIDGET_H_

#include <QtOpenGL>
#include <QStringList>
#include "VideoFile.h"

class videoFileDisplayWidget : public QGLWidget
{
    Q_OBJECT

public:
    videoFileDisplayWidget(QWidget *parent = 0);
    ~videoFileDisplayWidget();

    void initializeGL();
    void resizeGL(int w, int h);
    void paintGL();
    void timerEvent(QTimerEvent *) { update(); }
    void mousePressEvent(QMouseEvent *) { if(is) is->pause(true); }
    void mouseReleaseEvent(QMouseEvent *) { if(is) is->pause(false); }

    static bool glSupportsExtension(QString extname);
    static void showGlExtensionsInformationDialog();

public slots:
    void updateFrame (int i);
    void setVideo(VideoFile* f);

private:


    VideoFile *is;
    GLuint qList;
    GLuint cubeTexture;
//    int timerId;
//    Source *s;

//    QGLFramebufferObject *fbo;

    static QStringList listofextensions;
};

#endif

